This page was not yet optimized for use on mobile devices.
Ubuntu 16.04 Kernel Crypto API Cryptographic Module
Certificate details
| Certificate ID | #3724 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition - replaced by certificate #4604 |
| Validation dates | 07.10.2020 , 18.10.2021 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode and installed, initialized and configured as specified in Sections 9.1 of the Security Policy. |
| Exceptions |
|
| Description | The Ubuntu 16.04 Kernel Crypto API module is a software module running as part of the operating system kernel that provides general purpose cryptographic services. |
| Tested configurations |
|
| Vendor | Canonical Ltd. http://www.canonical.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-128, AES-192, AES-256, AES-, DES, Triple-DES, TDEA, HMAC, HMAC-SHA-512, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-384, CMACAsymmetric Algorithms
ECDH, ECDSA, Diffie-Hellman, DSAHash functions
SHA-1, SHA1, SHA-224, SHA-384, SHA-256, SHA-512Schemes
MAC, Key Exchange, Key AgreementProtocols
IKEv2, IKE, IPsecRandomness
DRBG, RNGElliptic Curves
P-256Block cipher modes
ECB, CBC, CTR, GCM, CCM, XTSSecurity level
Level 1, level 1Standards
FIPS 140-2, FIPS PUB 140-2, FIPS197, FIPS198-1, FIPS186-4, FIPS180-4, FIPS 198-1, FIPS140-2, SP 800-57, PKCS#1, RFC4106, RFC7296, RFC6071, X.509Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3724,
"dgst": "33b66ae561a759b8",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES#C1216",
"AES#C1220",
"AES#C1212",
"#C1219",
"AES#C1215",
"#C1211",
"SHS#C1222",
"Triple-DES#C1220",
"RSA#C1218",
"#C1218",
"#C1216",
"HMAC#C1222",
"KTS#C1219",
"HMAC#C1219",
"AES#C1210",
"#C1220",
"DRBG#C1217",
"AES#C1303",
"#C1213",
"#C1212",
"RSA#C1219",
"#C1221",
"HMAC#C1218",
"#C1214",
"Triple-DES#C1222",
"AES#C1221",
"AES#C1222",
"DRBG#C1219",
"SHS#C1219",
"#C1210",
"KTS#C1217",
"DRBG#C1221",
"HMAC#C1217",
"KTS#C1220",
"AES#C1211",
"SHS#C1218",
"#C1215",
"#C1303",
"DRBG#C1218",
"DRBG#C1220",
"AES#C1213",
"#C1222",
"DRBG#C1222",
"AES#C1214",
"RSA#C1222",
"KTS#C1222",
"RSA#C1217",
"SHS#C1217",
"#C1217",
"KTS#C1218"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"16.04"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 42,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDH": {
"ECDH": 4
},
"ECDSA": {
"ECDSA": 5
}
},
"FF": {
"DH": {
"Diffie-Hellman": 8
},
"DSA": {
"DSA": 1
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 11
},
"CCM": {
"CCM": 7
},
"CTR": {
"CTR": 10
},
"ECB": {
"ECB": 9
},
"GCM": {
"GCM": 21
},
"XTS": {
"XTS": 6
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IKE": {
"IKE": 1,
"IKEv2": 2
},
"IPsec": {
"IPsec": 4
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 2
},
"KEX": {
"Key Exchange": 2
},
"MAC": {
"MAC": 8
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 6
}
},
"eval_facility": {
"atsec": {
"atsec": 40
}
},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES key 128, 192": 1,
"AES-128": 3,
"AES-192": 2,
"AES-256": 2,
"Diffie-Hellman 1": 1,
"HMAC-SHA-1": 2,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 6,
"HMACSHA-512": 1,
"PKCS#1": 2,
"SHA-1": 8,
"SHA-224": 4,
"SHA-256": 10,
"SHA-384": 6,
"SHA-512": 5,
"SHA-512 1024": 1,
"SHA-512 112": 1,
"SHA1": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 2,
"level 1": 2
}
},
"hash_function": {
"SHA": {
"SHA1": {
"SHA-1": 8,
"SHA1": 1
},
"SHA2": {
"SHA-224": 5,
"SHA-256": 9,
"SHA-384": 7,
"SHA-512": 7
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 18
},
"RNG": {
"RNG": 4
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 48,
"FIPS 198-1": 1,
"FIPS PUB 140-2": 3,
"FIPS140-2": 1,
"FIPS180-4": 3,
"FIPS186-4": 2,
"FIPS197": 4,
"FIPS198-1": 2
},
"NIST": {
"SP 800-57": 1
},
"PKCS": {
"PKCS#1": 1
},
"RFC": {
"RFC4106": 9,
"RFC6071": 1,
"RFC7296": 2
},
"X509": {
"X.509": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 76,
"AES-": 1,
"AES-128": 3,
"AES-192": 2,
"AES-256": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"Triple-DES": 31
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"CMAC": 8,
"HMAC": 23,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 1,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 3
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES#C1216",
"AES#C1220",
"AES#C1212",
"AES#C1215",
"SHS#C1222",
"Triple-DES#C1220",
"RSA#C1218",
"HMAC#C1222",
"KTS#C1219",
"HMAC#C1219",
"AES#C1210",
"DRBG#C1217",
"AES#C1303",
"RSA#C1219",
"HMAC#C1218",
"Triple-DES#C1222",
"AES#C1221",
"AES#C1222",
"DRBG#C1219",
"SHS#C1219",
"KTS#C1217",
"DRBG#C1221",
"HMAC#C1217",
"KTS#C1220",
"AES#C1211",
"SHS#C1218",
"DRBG#C1218",
"DRBG#C1220",
"AES#C1213",
"DRBG#C1222",
"AES#C1214",
"RSA#C1222",
"KTS#C1222",
"RSA#C1217",
"SHS#C1217",
"KTS#C1218"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#C1219",
"#C1215",
"#C1211",
"#C1303",
"#C1213",
"#C1212",
"#C1221",
"#C1217",
"#C1214",
"#C1222",
"#C1218",
"#C1216",
"#C1210",
"#C1220"
]
},
"policy_metadata": {
"/AAPL:Keywords": "[]",
"/CreationDate": "D:20200925161930Z00\u002700\u0027",
"/Creator": "Word",
"/Keywords": "",
"/ModDate": "D:20200925161930Z00\u002700\u0027",
"/Producer": "macOS Version 10.14.6 (Build 18G5033) Quartz PDFContext",
"/Title": "Microsoft Word - UbuntuKernelCryptoAPI-SecurityPolicy.doc",
"pdf_file_size_bytes": 743283,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 38
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "05f20bca5769f1207a845bff80f1ce8c59514b49027b230adbb3d850c740baf8",
"source_hash": "0be87382fee7865b520524428f9de1492374299dd22613d88eeb416f0593da36",
"txt_hash": "df533aa43e504a39b0511a639e3e72c7f9ef57ddb088531b031fb2bac9329c39"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode and installed, initialized and configured as specified in Sections 9.1 of the Security Policy.",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/October 2020_021120_0702_signed.pdf",
"date_sunset": null,
"description": "The Ubuntu 16.04 Kernel Crypto API module is a software module running as part of the operating system kernel that provides general purpose cryptographic services.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "SP 800-56Arev3 transition - replaced by certificate #4604",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Ubuntu 16.04 Kernel Crypto API Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "2.0",
"tested_conf": [
"Ubuntu 16.04 LTS 64-bit running on Supermicro SYS-5018R-WR with Intel Xeon E5 with PAA",
"Ubuntu 16.04 LTS 64-bit running on Supermicro SYS-5018R-WR with Intel Xeon E5 without PAA (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2020-10-07",
"lab": "atsec information security corporation",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-10-18",
"lab": "atsec information security corporation",
"validation_type": "Update"
}
],
"vendor": "Canonical Ltd.",
"vendor_url": "http://www.canonical.com"
}
}